Siemens Simatic Pcs 8.0 Remote Code Execution Vulnerability

Summary

A vulnerability has been identified in SIMATIC PCS 7 V8.0 and earlier (All versions), SIMATIC PCS 7 V8.1 and newer (All versions), SIMATIC WinCC V7.2 and earlier (All versions), SIMATIC WinCC V7.3 and newer (All versions). An attacker with network access to affected installations, which are configured without “Encrypted Communication”, can execute arbitrary code. The security vulnerability could be exploited by an unauthenticated attacker with network access to the affected installation. No user interaction is required to exploit this security vulnerability. The vulnerability impacts confidentiality, integrity, and availability of the device. At the time of advisory publication no public exploitation of this security vulnerability was known.

Credit:

The information has been provided by Vladimir Dashchenko.
The original article can be found at: https://cert-portal.siemens.com/productcert/pdf/ssa-705517.pdf


Details

Siemens SIMATIC WinCC and SIMATIC PCS 7 are prone to a remote code-execution vulnerability. A remote attacker can leverage this issue to execute arbitrary code within the context of the application.

Vulnerable Systems:

  • Siemens Simatic Pcs 8.0
  • Siemens Simatic Pcs 7.2

CVE Information:
CVE-2019-10922

Disclosure Timeline:
Publish Date:05/14/2019